Page MenuHomePhabricator

Configure 'add statements' on/off for campaigns
Closed, ResolvedPublic

Description

Campaign creator can configure the 'Add statements' button in UploadWizard to be on or off for a campaign

Acceptance criteria:

  • when a campaign is set up with wikibase.enabled == true and wikibase.statements == true
  • and a user uploads one or more images via UploadWizard
  • if wikibase.nonDefaultStatements == false then the 'add statement' button is not shown in the metadata step
  • if wikibase.nonDefaultStatements is not set, or is set to true, then the 'add statement' button is shown in the metadata step, and the user can use it to add any number of arbitrary wikibase statements to the image

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterIntroduce nonDefaultStatements campaign config var

Event Timeline

Cparle created this task.Mar 27 2019, 3:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 3:57 PM
Cparle updated the task description. (Show Details)Mar 27 2019, 3:57 PM
Cparle updated the task description. (Show Details)
Ramsey-WMF triaged this task as High priority.Mar 28 2019, 2:21 PM
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.
This comment was removed by Cparle.
Cparle renamed this task from Basic Q-item statements (non-depicts) for campaigns to Configure 'add statements' on/off for campaigns.Jul 17 2019, 9:37 AM
Cparle updated the task description. (Show Details)
Cparle closed this task as Resolved.EditedAug 9 2019, 10:55 AM
Cparle claimed this task.

See also T228327

Edit: actually - ignore that. T228327 is quite distinct from this

See also T228327

You marked this as resolved. Is this done or should either these tasks be merged into one and one marked as duplicate?

Cparle reopened this task as Open.Aug 9 2019, 2:27 PM
Cparle removed Cparle as the assignee of this task.

Oops, didn't mean to mark it as resolved ... and actually it's not as related to the other ticket as I thought it was.

Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:54 PM
Cparle updated the task description. (Show Details)Aug 13 2019, 11:43 AM
Cparle updated the task description. (Show Details)

Change 529938 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/UploadWizard@master] Introduce nonDefaultStatements campaign config var

https://gerrit.wikimedia.org/r/529938

Cparle claimed this task.Aug 13 2019, 11:47 AM
Cparle moved this task from Blocked to Code Review on the Structured-Data-Team-Current-Work board.
Cparle added a project: UploadWizard.

Change 529938 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Introduce nonDefaultStatements campaign config var

https://gerrit.wikimedia.org/r/529938

Ramsey-WMF closed this task as Resolved.Sep 9 2019, 3:40 PM